﻿@model PagedList.IPagedList<SYM.DataAccessLayer.route>
@using PagedList.Mvc;
@using SYM.SearchEngine.MvcApp.Helpers;

@{
    ViewBag.Title = SYM.Localization.Resources.Views.Route.Index.Title;
    ViewBag.Page = SYM.Localization.Resources.Views.Route.Index.Title;
}

@section customCss4Page{
    <link rel="stylesheet" href="~/Content/themes/sleek/css/twitter.css" />
    @*<link href="~/Content/themes/m1/assets/global/plugins/bootstrap-select/css/bootstrap-select.min.css" rel="stylesheet" type="text/css" />*@
}

<div class="row">
    <div class="col-md-12">
        <div class="portlet box green-haze">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-list-ul"></i>@ViewBag.Title (@ViewBag.Count)
                </div>
                <div class="actions">
                    <a href="@Url.Action("Index3", "Route")" class="btn btn-default btn-sm">
                        <i class="fa fa-external-link"></i> New Card List
                    </a>
                </div>
            </div>
            <div class="portlet-body flip-scroll">
                @using (Html.BeginForm("Index", "Route", FormMethod.Post, new { @class = "form-inline", role = "form" }))
                {
                    <div class="form-group">
                        @HtmlHelpers.DropDownListBootstrap("activity", ViewBag.ActivityDD)
                    </div>
                    <div class="form-group input-min-width-200">
                        <select id="region" name="region" class="form-control select2">
                            @if (@ViewBag.Region != "0")
                            {
                                <option value="@ViewBag.Region" selected="selected">@ViewBag.Region_text</option>
                            }
                        </select>
                    </div>
                    <div class="form-group input-min-width-300">
                        <input class="form-control route_name typehead" name="route_name" id="route_name" type="text" value="@ViewBag.Route_text" autocorrect="off" autocomplete="on" placeholder="Nome della cima o itinerario">
                    </div>
                    <div class="form-group input-min-width-200">
                        <select id="orderby" name="orderby" class="form-control select2">
                            <option value=""></option>
                            <option value="1">per Punteggio</option>
                            <option value="2">per Altitudine</option>
                            <option value="3">per Data</option>
                            <option value="4">per Preferiti</option>
                        </select>
                    </div>
                    <input type="hidden" id="mountain" name="mountain" value="@ViewBag.Mountain">
                    <input type="hidden" id="route" name="route" value="@ViewBag.Route">
                    <input type="hidden" id="country" name="country" value="@ViewBag.Country">
                    <button type="submit" class="btn green-haze" style="float: right;">@SYM.Localization.Resources.Global.Search <i class="fa fa-search"></i></button>
                }
                <div class="dataTables_wrapper no-footer">
                    @if (Model.ToList().Count > 0)
                    {
                        <div class="table-scrollable">
                            <table class="table table-striped table-bordered table-condensed dataTable no-footer">
                                <thead>
                                    <tr role="row">
                                        <th>@SYM.Localization.Resources.Views.Route.Index.RouteTitle</th>
                                        <th style="text-align: center;">@SYM.Localization.Resources.Views.Route.Index.Activity</th>
                                        <th>@SYM.Localization.Resources.Views.Route.Index.Difficulty</th>
                                        <th style="text-align: right;">@SYM.Localization.Resources.Views.Route.Index.Altitude</th>
                                        <th style="text-align: right;">@SYM.Localization.Resources.Views.Route.Index.Height</th>
                                        <th>@SYM.Localization.Resources.Views.Route.Index.Facing</th>
                                        <th>@SYM.Localization.Resources.Views.Route.Index.Region</th>
                                        <th>@SYM.Localization.Resources.Views.Route.Index.Report</th>
                                    </tr>
                                </thead>
                                <tbody class="searchable">
                                    @foreach (var item in Model)
                                    {
                                        <tr role="row">
                                            <td>
                                                <strong>
                                                    @if (item.mountain != null)
                                                    {
                                                        @Html.DisplayFor(modelItem => item.mountain.mntn_name)
                                                    }
                                                    else if (item.valley_id != null)
                                                    {
                                                        @Html.DisplayFor(modelItem => item.valley.valley_name)
                                                    }
                                                    else if (item.mntnGroup_id != null)
                                                    {
                                                        @Html.DisplayFor(modelItem => item.mntn_mountaingroup.mntnGroup_name)
                                                    }
                                                </strong>
                                                -
                                                <a href='/Route/@item.id-@Uri.EscapeDataString(item.route_name.Replace(" ","").Replace("-","_").Replace("&",""))' class="tooltips" data-container="body" data-placement="right" data-original-title="@item.route_title">
                                                    @Html.DisplayFor(modelItem => item.route_name)
                                                </a>
                                                @if (Request.IsAuthenticated)
                                                {
                                                    <a class="" href="@Url.Action("_PartialEdit", "Route", new { id = item.id })" data-target="#myModal">
                                                        <i class="fa fa-edit"></i>
                                                    </a>
                                                }
                                            </td>
                                            <td style="text-align: center;">
                                                <span class="icon icon-noun_@item.act_activity.id icon-noun_@item.act_activity.id-dims tooltips" data-container="body" data-placement="right" data-original-title="@item.act_activity.activity_name">&nbsp;</span>
                                            </td>
                                            <td>
                                                @if (item.difficulty_grade != null)
                                                {
                                                    foreach (string s in item.difficulty_grade.Split(','))
                                                    {
                                                        @: <span class="badge badge-info badge-roundless">@s</span>
                                            }
                                                }
                                                else
                                                {
                                                    @: N/A
                                        }
                                            </td>
                                            <td style="text-align: center;">
                                                @item.route_altitude
                                            </td>
                                            <td style="text-align: center;">
                                                @item.route_height
                                            </td>
                                            <td>
                                                @if (item.route_facing != null)
                                                {
                                                    @item.route_facing
                                                }
                                            </td>
                                            <td>
                                                @item.geo_region.region_name
                                                (
                                                @{
                                                    string url = "/Content/themes/m1/assets/global/img/flags/" + @item.geo_country.country_code.ToLower() + ".png";
                                                    <img alt="@item.geo_country.country_code" src="@url">
                                                }
                                                )
                                            </td>
                                            <td>
                                                @if (item.route_webinfo.Count > 0)
                                                {
                                                    <a href='@item.route_webinfo.First().source.source_url/@item.route_webinfo.First().wi_url' target="_blank" rel="nofollow" class="tooltips" data-container="body" data-placement="left" data-original-title="@item.route_webinfo.First().source.source_name"><i class="fa fa-external-link"></i> Link</a>
                                                }
                                            </td>
                                        </tr>
                                                    }
                                </tbody>
                            </table>
                        </div>
                        <div class="row">
                            <div class="col-md-5 col-sm-5">
                                <div class="dataTables_info" role="status" aria-live="polite">
                                    Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount
                                </div>
                            </div>
                            <div class="col-md-7 col-sm-7">
                                @Html.PagedListPager(Model, page => Url.Action("Index", new { page, sortOrder = ViewBag.Sort, currentFilter = ViewBag.Region, _route = ViewBag.Route, _region_text = ViewBag.Region_text, _mountain = ViewBag.Mountain, _act = ViewBag.Activity }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
                            </div>
                            <!-- END PAGE CONTENT INNER -->
                        </div>
                    }
                    else {
                        <div role="row" class="margin-top-20">
                            <p class="text-center">
                                <img src="~/Content/themes/m1/assets/layouts/layout4/img/icon_cactus.png">
                            </p>
                            <p class="text-center bold">
                                Nessun risultato per questa ricerca...
                            </p>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>

@section ExtraPluginJS{
    <script src="https://twitter.github.io/typeahead.js/releases/latest/typeahead.bundle.js"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/bootstrap-select/js/bootstrap-select.min.js" type="text/javascript"></script>
}

@section scripts {
    <script type="text/javascript">
        var ComponentsBootstrapSelect = function () {

            var handleBootstrapSelect = function () {
                $('.bs-select').selectpicker({
                    iconBase: 'fa',
                    tickIcon: 'fa-check',
                    noneSelectedText: 'Attivit&#224;'
                });
            }
            return {
                //main function to initiate the module
                init: function () {
                    handleBootstrapSelect();
                }
            };

        }();

        ComponentsBootstrapSelect.init();
    </script>
    <script src="~/Content/themes/m1/assets/pages/scripts/route-index3.js" type="text/javascript"></script>
}

@section ScriptOnReady {
    MyApp.Select2Region('#region', '/api/autocomplete/GetRegion', 'Regione' );
    $("#orderby").select2({
    allowClear: true,
    placeholder: "Ordina by ...",
    });
    $('#region').on("select2:selecting", function(e) {
    $("#country").val(e.params.args.data.country_id);
    });
}

